add setup-rust

Fri, 07 Dec 2018 02:04:41 -0600

author
Meredith Howard <mhoward@roomag.org>
date
Fri, 07 Dec 2018 02:04:41 -0600
changeset 723
9d9fecc3ea30
parent 722
3a8965648f93
child 724
192972fc0dd4

add setup-rust

bin/setup-rust file | annotate | diff | comparison | revisions
new file mode 100755
--- /dev/null
+++ b/bin/setup-rust
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -eu -o pipefail
+
+if rustup update; then
+  exit
+fi
+
+curl https://sh.rustup.rs -sSf | sh
+source ~/.cargo/env
+rustup component add rls rustfmt

mercurial